DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableCreateFilter

Create a pixel table from a filter shape

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableCreateFilter ( table, filterSize, filterShape, se, resources)

## FUNCTION

This function allocates and creates a new pixel table data structure. The shape and dimensionality of the pixel table is specified by the `filterSize`, `filterShape` and `se` parameters.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable *` | `table` | Pointer to a pixel table
`dip_FloatArray` | `filterSize` | Filter size
`dip_FilterShape` | `filterShape` | Filter shape
`dip_Image` | `se` | Structuring element
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`BinaryImageToPixelTable`, `PixelTableToBinaryImage`

DIPlib on-line documentation | Function reference | Global function index